jQuery(function($) {

    var custom_uploader;

    $(document).on('click','.image-uploader-button', function(e) {
    

        e.preventDefault();
        e.stopPropagation();       
      
        
       formid = $(this).attr('data-form-id');
            
        var parent = $( this ).parents( ".infotown-uploader" );
        
        if ( custom_uploader ) {
            custom_uploader.open();
            return;
        }
        
        /** @var object wp recieved form wordpress */
        custom_uploader = wp.media({
            title: "画像を追加",
            button: {
                text: "画像を選択"
            },
            multiple: false
        });
        
        custom_uploader.on( "select", function() {
        
            var image = custom_uploader.state().get( "selection" );
            var preview = $( ".infotown-uploader-preview", parent );
            
          
          image.each(function( file ) {
                
                  console.log(file.toJSON());
                  
                  console.log('input#' + formid);
                  
                  console.log('img#' + formid + '_thumb');
            
                    $('input#' + formid).attr('value', file.toJSON().id);
                    $('img#' + formid + '_thumb').attr('src', file.toJSON().url);
                
                /*
                $( ".infotown-uploader-url", parent ).val( file.toJSON().url );
                var img = $( "img", preview );
                if ( img.length === 0 ) {
                    preview.append( '<img src="' + file.toJSON().url + '" />' );
                } else {
                    img.attr( "src", file.toJSON().url );
                }
                preview.css( "display", "block" );
                */
          });
        });
        custom_uploader.open();

    });
    
    // 削除
     $(document).on('click','.thumb_remove_link', function(e) {
        
        e.preventDefault();
        e.stopPropagation();

	var image_val = $(this).parent().parent().attr('id');
	
	jQuery("#" + image_val + " input.hidden_form").val("");	
	jQuery("#" + image_val + " .thumb img").attr('src',noimage.url);
        
    });

});