<?php
/*
 Plugin Name: CASTPRO4 PREMIRE THEME プラグイン
Plugin URI: http://www.castpro4.jp/
Description: CASTPRO4 PREMIRE THEME 専用プラグイン
Version: 3.0 beta(20171120fix)
Author: Digi-ark
Author URI: http://www.castpro4.jp/
License: GPL2
*/

/*  Copyright 2013 Digi-ark (email : info@digi-ark.jp)

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License, version 2, as
published by the Free Software Foundation.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/


/**
 * image-widget include
 */
 

include('image-widget/image-widget.php'); 

/**
 * castpro4_connect include
 */
 

include('castpro4_connect/main.php'); 

/**
 * theme option include
 */
 
include('theme-options/options-framework.php'); 

/**
 * multi device switcher include
 */

//翻訳ファイル読み込み
load_textdomain('multi-device-switcher', dirname(__FILE__).'/multi-device-switcher/languages/multi-device-switcher-'.get_locale().'.mo');

include('multi-device-switcher/multi-device-switcher.php'); 

/**
 * theme option include
 */
 
include('trust-form/trust-form.php');

/**
 * wp-table-reloaded include
 */


//翻訳ファイル読み込み
load_textdomain('multi-device-switcher', dirname(__FILE__).'/wp-table-reloaded/languages/wp-table-reloaded-ja.po'.get_locale().'.mo');

include('wp-table-reloaded/wp-table-reloaded.php'); 
 
 

/**
 * メインメニュー＆サブメニューフック
 */
 
add_action('admin_menu', 'remove_cp4_connect_menu'); 

function remove_cp4_connect_menu(){
	
	remove_menu_page('cp4_connect/castpro4_connect/main.php');
	remove_submenu_page('options-general.php', 'cp4_connect/castpro4_connect/options.php');
	
}

function cp4premire_connect_menu(){

	add_submenu_page('options-general.php',__('CASTPRO4接続設定'),('CASTPRO4接続設定'), 7,'cp4_connect/castpro4_connect/options.php');
	
	add_menu_page('CASTPRO4', 'CASTPRO4', 2, __FILE__, 'cp4_connect_index',plugin_dir_url(__FILE__).'castpro4_connect/img/castpro4_icon.png');
	add_submenu_page( __FILE__, __('テーマカスタマイズ'),__('テーマカスタマイズ'), 2, 'options-framework','optionsframework_page');
	add_submenu_page( __FILE__, 'キャスト登録','キャスト登録', 2, 'cp4_connect_cast_edit','cp4_connect_cast_edit');
	add_submenu_page( __FILE__, 'キャスト一覧','キャスト一覧', 2, 'cp4_connect_cast_list','cp4_connect_cast_list');
	add_submenu_page( __FILE__, '出勤','出勤', 2, 'cp4_connect_cast_schedule','cp4_connect_cast_schedule');
	add_submenu_page( __FILE__, '出勤タイムライン','出勤タイムライン', 6, 'cp4_connect_cast_schedule_timeline','cp4_connect_cast_schedule_timeline');
	add_submenu_page( __FILE__, '待ちヒメ','待ちヒメ', 2, 'cp4_connect_machihime','cp4_connect_machihime');
}

add_action('admin_menu', 'cp4premire_connect_menu');

?>